Skip to main content
GET
/
environments
/
{org}
List environments
curl --request GET \
  --url https://app.kosli.com/api/v2/environments/{org} \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "per_page": 123,
  "total_pages": 123,
  "total_count": 123,
  "environments": [
    {
      "org": "<string>",
      "name": "<string>",
      "type": "<string>",
      "description": "<string>",
      "last_modified_at": 123,
      "include_scaling": true,
      "tags": {},
      "last_reported_at": 123,
      "state": true,
      "policies": [
        "<string>"
      ],
      "included_environments": [
        "<string>"
      ]
    }
  ],
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://kosli-mintlify-f3f70bb3.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

page
integer | null

Page number

Required range: x >= 1
per_page
integer | null

Number of environments per page

Required range: 1 <= x <= 50

Response

200 - application/json

Successful Response

page
integer
required
per_page
integer
required
total_pages
integer
required
total_count
integer
required
environments
GetEnvironmentResponse · object[]
required
Last modified on May 18, 2026